#ifndef __EMULATE__
#define __EMULATE__

unsigned long   emuJcc(__in context *pctx, __in px86dis px86, __in void *ptr);
unsigned long emuCallAndJmp(__in context *pctx, __in px86dis px86, __in void *ptr);
unsigned long emuRet(__in context *pctx, __in px86dis px86, __in void *ptr);
unsigned long emuLoop(__in context *pregs, __in px86dis px86, __in void *ptr);

#endif